Vector::BLF::LinUnexpectedWakeup(3)

NAME
Vector::BLF::LinUnexpectedWakeup - LIN_UNEXPECTED_WAKEUP.

SYNOPSIS

#include <LinUnexpectedWakeup.h>

Inherits Vector::BLF::ObjectHeader, and Vector::BLF::LinBusEvent.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default
Public Member Functions inherited from Vector::BLF::LinBusEvent
LinBusEvent (const LinBusEvent &)=default
LinBusEvent & operator= (const LinBusEvent &)=default
LinBusEvent (LinBusEvent &&)=default
LinBusEvent & operator= (LinBusEvent &&)=default

  Public Attributes
uint64_t width {}
width of the unexpected wakeup in nanoseconds (valid for LIN 2.x)
uint8_t signal {}
byte signal of the unexpected wakeup (valid for LIN 1.x)
uint8_t reservedLinUnexpectedWakeup1 {}
uint16_t reservedLinUnexpectedWakeup2 {}
uint32_t reservedLinUnexpectedWakeup3 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type
Public Attributes inherited from Vector::BLF::LinBusEvent
uint64_t sof {}
Start Of Frame timestamp.
uint32_t eventBaudrate {}
Baudrate of the event in bit/sec.
uint16_t channel {}
application channel
uint16_t reservedLinBusEvent {}

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

LIN_UNEXPECTED_WAKEUP. This event occurs if an unexpected byte received in bus idle phase of wake mode could be a wakeup frame

Member Function Documentation

  uint32_t Vector::BLF::LinUnexpectedWakeup::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LinUnexpectedWakeup::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LinUnexpectedWakeup::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint8_t Vector::BLF::LinUnexpectedWakeup::reservedLinUnexpectedWakeup1 {}
reserved

  uint16_t Vector::BLF::LinUnexpectedWakeup::reservedLinUnexpectedWakeup2 {}
reserved

  uint32_t Vector::BLF::LinUnexpectedWakeup::reservedLinUnexpectedWakeup3 {}
reserved

  uint8_t Vector::BLF::LinUnexpectedWakeup::signal {}

byte signal of the unexpected wakeup (valid for LIN 1.x) Byte signal of the unexpected wakeup. Valid for LIN 1.x

  uint64_t Vector::BLF::LinUnexpectedWakeup::width {}

width of the unexpected wakeup in nanoseconds (valid for LIN 2.x) Width of the unexpected wakeup in nanoseconds. Valid for LIN 2.x

Author

Generated automatically by Doxygen for Vector BLF from the source code.